DCMTK - Feature #966

Describe "-" as special name for stdin/stdout in manpages
2021-02-19 16:21 - Marco Eichelberg

Status: Closed Start date: 2021-02-19
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Documentation Estimated time: 3:00 hours
Target version: 3.7.1+

Module: Compiler:

Operating System:

Description

Starting with release 3.6.6 (commit #1689130d), DCMTK can read DICOM files from stdin and write DICOM files to stdout.
This feature is automatically available in all tools that use DcmFileFormat::loadFile() and DcmFileFormat::saveFile(), respectively.
As in most Posix tools, the special filename "-" is used to denote stream input/output:

dcmconv +te input.dcm - | dcmodify -m PatientName=TEST - | dcmdump - | less

Currently this feature is not documented in the manual pages of the affected tools. A short section should be added that describes
this.

Related issues:
Related to DCMTK - Bug #1005: Describe "-" as special filename for stdin/stdo... Closed 2021-08-27

History

#1 - 2022-02-03 10:28 - Marco Eichelberg

- Target version changed from 3.6.7 to 3.7.1+

#2 - 2022-06-08 18:15 - Marco Eichelberg

- Related to Bug #1005: Describe "-" as special filename for stdin/stdout in --help output and man pages added

#3 - 2022-06-08 18:16 - Marco Eichelberg

- Related to Bug #1005: Describe "-" as special filename for stdin/stdout in --help output and man pages added

#4 - 2022-06-08 18:16 - Marco Eichelberg
- Related to deleted (Bug #1005: Describe "-" as special filename for stdin/stdout in --help output and man pages)

#5 - 2022-12-30 16:19 - Marco Eichelberg
- Category set to Documentation

- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

- Estimated time set to 3:00 h

Closed by commit #4dd28400e for the public DCMTK and #dfdbbe6b2 for the private modules.
